> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-bradley-turek-pfilter-operators-reference.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Versions

> Retrieves detailed information about all data versions associated with the dataset



## OpenAPI

````yaml /openapi/product/data-sets.yaml get /api/data/v3/datasources/{datasetId}/dataversions/details
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/v3/datasources/{datasetId}/dataversions/details:
    get:
      tags:
        - Datasets API
      summary: Get Data Versions
      description: >-
        Retrieves detailed information about all data versions associated with
        the dataset
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Data versions list
      x-codeSamples:
        - lang: HTTP
          source: >
            GET /api/data/v3/datasources/{datasetId}/dataversions/details
            HTTP/1.1

            Host: {instance}.domo.com

            X-DOMO-Developer-Token: {token}
components:
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````